#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
# 2002 QAcafe http://qacafe.com
#
# $Id: vnode.tcl,v 1.2 2002/11/15 13:23:54 joe Exp $
#
#
# Virtual Node
#
# ----------------------------------------------------------------------------

# -- this is part of the pktsrc package
package provide pktsrc 1.3


#
# Clean up vnode stack that is nolonger in use

proc Vnode_delete { stack } {

   upvar $stack s

   # -- unset all the state
   unset s
}

proc Vnode_add_gateway { vnode stack } {

   upvar $vnode v
   upvar $stack s

   set v(vnode,gateway,stack) $s(getStack)
   set v(vnode,gateway,stackname) $s(getStackName)
  
}







